summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Antonio Leal <antonioleal@yahoo.com>2023-09-01 21:56:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-09-01 21:56:31 +0700
commit98000ba4228bfc6e73e057988730a3d90f6fdae2 (patch)
treee7dfd36c2c01ff41b044cf0559ad6c13447677d3 /system
parent0a37ffdda669a69a9986a44ad759ed8396c21ed8 (diff)
downloadslackbuilds-98000ba4228bfc6e73e057988730a3d90f6fdae2.tar.gz
slackbuilds-98000ba4228bfc6e73e057988730a3d90f6fdae2.tar.xz
system/FreeFileSync: Added (Cross-platform file sync utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/FreeFileSync/FreeFileSync.127
-rw-r--r--system/FreeFileSync/FreeFileSync.SlackBuild120
-rw-r--r--system/FreeFileSync/FreeFileSync.desktop43
-rw-r--r--system/FreeFileSync/FreeFileSync.info10
-rw-r--r--system/FreeFileSync/README8
-rw-r--r--system/FreeFileSync/RealTimeSync.127
-rw-r--r--system/FreeFileSync/RealTimeSync.desktop43
-rw-r--r--system/FreeFileSync/doinst.sh13
-rw-r--r--system/FreeFileSync/slack-desc19
9 files changed, 310 insertions, 0 deletions
diff --git a/system/FreeFileSync/FreeFileSync.1 b/system/FreeFileSync/FreeFileSync.1
new file mode 100644
index 0000000000..3e60546a7e
--- /dev/null
+++ b/system/FreeFileSync/FreeFileSync.1
@@ -0,0 +1,27 @@
+.TH "FreeFileSync" "1" "10 Dec 2011" "" ""
+.SH "NAME"
+FreeFileSync \(em a folder comparison and synchronization tool (GUI)
+.SH "SYNOPSIS"
+
+.PP
+.nf
+FreeFileSync CONFIG_FILE
+.fi
+.PP
+.SH "DESCRIPTION"
+
+.PP
+This is a folder comparison and synchronization tool. It is optimized
+for highest performance and usability without restricted or overloaded
+UI interfaces.
+.PP
+It's key features: Multiple folder pairs, Batch capability, Binary
+comparison, Handle conflicts and propagate deletions, Optimized
+performance, Transactional file copy, ...
+.PP
+.SH "AUTHOR"
+
+.PP
+FreeFileSync was originally written by ZenJu. It is currently maintained
+by Damien Lecan.
+.PP
diff --git a/system/FreeFileSync/FreeFileSync.SlackBuild b/system/FreeFileSync/FreeFileSync.SlackBuild
new file mode 100644
index 0000000000..aabb54f1f9
--- /dev/null
+++ b/system/FreeFileSync/FreeFileSync.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware repackaging script for FreeFileSync
+
+# Copyright 2023 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=FreeFileSync
+VERSION=${VERSION:-12.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ i?86) ARCH=i586 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+set -e
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+tar xvf $CWD/${PRGNAM}_${VERSION}_Linux.tar.gz
+mkdir p1
+cd p1
+7z x ../${PRGNAM}_${VERSION}_Install.run
+cd ..
+mkdir p2
+cd p2
+tar xvf ../p1/$PRGNAM.tar.gz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+# Binaries
+mkdir -p $PKG/usr/bin $PKG/opt/$PRGNAM/Bin $PKG/usr/share/pixmaps $PKG/usr/share/applications
+install -D -m0755 FreeFileSync $PKG/opt/$PRGNAM/FreeFileSync
+install -D -m0755 RealTimeSync $PKG/opt/$PRGNAM/RealTimeSync
+if [[ $ARCH == "x86_64" ]]; then
+ install -D -m0755 Bin/FreeFileSync_x86_64 $PKG/opt/$PRGNAM/Bin/FreeFileSync_x86_64
+ install -D -m0755 Bin/RealTimeSync_x86_64 $PKG/opt/$PRGNAM/Bin/RealTimeSync_x86_64
+fi
+if [[ $ARCH == "i586" ]]; then
+ install -D -m0755 Bin/FreeFileSync_i686 $PKG/opt/$PRGNAM/Bin/FreeFileSync_i686
+ install -D -m0755 Bin/RealTimeSync_i686 $PKG/opt/$PRGNAM/Bin/RealTimeSync_i686
+fi
+
+cp -avxu Resources $PKG/opt/$PRGNAM/
+cp Resources/FreeFileSync.png $PKG/usr/share/pixmaps
+cp Resources/RealTimeSync.png $PKG/usr/share/pixmaps
+cp $CWD/FreeFileSync.desktop $PKG/usr/share/applications
+cp $CWD/RealTimeSync.desktop $PKG/usr/share/applications
+
+# Man pages
+mkdir -p $PKG/usr/man/man1
+cat $CWD/FreeFileSync.1 | gzip -c -f > $PKG/usr/man/man1/FreeFileSync.1.gz
+cat $CWD/RealTimeSync.1 | gzip -c -f > $PKG/usr/man/man1/RealTimeSync.1.gz
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp User\ Manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cp CHANGELOG $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Links
+( cd $PKG/usr/bin ; rm -rf FreeFileSync )
+( cd $PKG/usr/bin ; ln -s ../../opt/FreeFileSync/FreeFileSync FreeFileSync )
+( cd $PKG/usr/bin ; rm -rf RealTimeSync )
+( cd $PKG/usr/bin ; ln -s ../../opt/FreeFileSync/RealTimeSync RealTimeSync )
+( cd $PKG/opt/$PRGNAM ; rm -rf User\ Manual.pdf )
+( cd $PKG/opt/$PRGNAM ; ln -s ../../usr/doc/$PRGNAM-$VERSION/User\ Manual.pdf )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/FreeFileSync/FreeFileSync.desktop b/system/FreeFileSync/FreeFileSync.desktop
new file mode 100644
index 0000000000..85384526e4
--- /dev/null
+++ b/system/FreeFileSync/FreeFileSync.desktop
@@ -0,0 +1,43 @@
+[Desktop Entry]
+Type=Application
+Name=FreeFileSync
+Exec=FreeFileSync %F
+Icon=FreeFileSync
+Terminal=false
+Categories=Utility;FileTools;Archiving;
+StartupNotify=true
+MimeType=application/x-freefilesync-gui;application/x-freefilesync-batch;
+Comment=Folder Comparison and Synchronization
+Comment[ar]=مقارنة ومزامنة المجلدات
+Comment[bg]=Сравняване и синхронизация на папки
+Comment[cs]=porovnání a synchronizace složek
+Comment[da]=Mappesammenligning og synkronisering
+Comment[de]=Ordnervergleich und Synchronisation
+Comment[el]=Σύγκριση Φακέλων και Συγχρονισμός
+Comment[en_GB]=Folder Comparison and Synchronisation
+Comment[es]=Comparación y sincronización de carpetas
+Comment[fi]=Hakemistojen vertailu ja synkronointi
+Comment[fr]=Comparaison de dossiers et Synchronisation
+Comment[he]=סנכרון קבצים ותיקיות
+Comment[hi]=निर्देशिका तुलना और सिंक्रनाइज़ेशन
+Comment[hr]=Usporedba i sinkronizacija mapa
+Comment[hu]=Mappa összehasonlítás és szinkronizálás
+Comment[it]=Comparazione delle Cartelle e Sincronizzazione
+Comment[ja]=フォルダの比較と同期
+Comment[ko]=폴더 비교 및 동기화
+Comment[lt]=Aplankų Palyginimas ir Suvienodinimas
+Comment[nl]=Map vergelijken en synchroniseren
+Comment[no]=Mappe-sammenligning og synkronisering
+Comment[pl]=Porównywanie i Synchronizacja folderów
+Comment[pt]=Comparação e Sincronização de Pastas
+Comment[pt_BR]=Comparação e Sincronização de Pastas
+Comment[ro]=Comparație și sincronizare a directoarelor
+Comment[ru]=Сравнение и синхронизация
+Comment[sk]=Porovnanie a synchronizácia priečinkov
+Comment[sl]=Primerjava in sinhronizacija mape
+Comment[sv]=Mappjämförelse och synkronisering
+Comment[tr]=Klasör karşılaştırma ve eşitleme
+Comment[uk]=Порівнювання та Синхронізація папок
+Comment[vi]=So sánh và đồng bộ hóa thư mục
+Comment[zh]=文件夹比较与同步
+Comment[zh_TW]=資料夾比對和同步
diff --git a/system/FreeFileSync/FreeFileSync.info b/system/FreeFileSync/FreeFileSync.info
new file mode 100644
index 0000000000..18729c3971
--- /dev/null
+++ b/system/FreeFileSync/FreeFileSync.info
@@ -0,0 +1,10 @@
+PRGNAM="FreeFileSync"
+VERSION="12.5"
+HOMEPAGE="https://freefilesync.org/"
+DOWNLOAD="https://freefilesync.org/download/FreeFileSync_12.5_Linux.tar.gz"
+MD5SUM="fb560f2480604e886aa0352953bfe545"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/system/FreeFileSync/README b/system/FreeFileSync/README
new file mode 100644
index 0000000000..746cb58861
--- /dev/null
+++ b/system/FreeFileSync/README
@@ -0,0 +1,8 @@
+FreeFileSync is a folder comparison and synchronization software that
+creates and manages backup copies of all your important files.
+Instead of copying every file every time, FreeFileSync determines the
+differences between a source and a target folder and transfers only
+the minimum amount of data needed. FreeFileSync is Open Source
+software,available for Windows, Linux and macOS.
+
+This package installs to /opt/FreeFileSync
diff --git a/system/FreeFileSync/RealTimeSync.1 b/system/FreeFileSync/RealTimeSync.1
new file mode 100644
index 0000000000..1bcaf6d16a
--- /dev/null
+++ b/system/FreeFileSync/RealTimeSync.1
@@ -0,0 +1,27 @@
+.TH "RealTimeSync" "1" "10 Dec 2011" "" ""
+.SH "NAME"
+RealTimeSync \(em a folder comparison and synchronization tool (Batch)
+.SH "SYNOPSIS"
+
+.PP
+.nf
+RealTimeSync CONFIG_FILE
+.fi
+.PP
+.SH "DESCRIPTION"
+
+.PP
+This is a folder comparison and synchronization tool. It is optimized
+for highest performance and usability without restricted or overloaded
+UI interfaces.
+.PP
+It's key features: Multiple folder pairs, Batch capability, Binary
+comparison, Handle conflicts and propagate deletions, Optimized
+performance, Transactional file copy, ...
+.PP
+.SH "AUTHOR"
+
+.PP
+RealTimeSync was originally written by ZenJu. It is currently maintained
+by Damien Lecan.
+.PP
diff --git a/system/FreeFileSync/RealTimeSync.desktop b/system/FreeFileSync/RealTimeSync.desktop
new file mode 100644
index 0000000000..3847da2d8e
--- /dev/null
+++ b/system/FreeFileSync/RealTimeSync.desktop
@@ -0,0 +1,43 @@
+[Desktop Entry]
+Type=Application
+Name=RealTimeSync
+Exec=RealTimeSync %f
+Icon=RealTimeSync
+Terminal=false
+Categories=Utility;FileTools;Archiving;
+StartupNotify=true
+MimeType=application/x-freefilesync-real;
+Comment=Automated Synchronization
+Comment[ar]=المزامنة التلقائية
+Comment[bg]=Автоматична синхронизация
+Comment[cs]=Automatická synchronizace
+Comment[da]=Automatisk synkronisering
+Comment[de]=Automatisierte Synchronisation
+Comment[el]=Αυτοματοποιημένος Συγχρονισμός
+Comment[en_GB]=Automated Synchronisation
+Comment[es]=Sincronización Automática
+Comment[fi]=Automaattinen synkronointi
+Comment[fr]=Synchronisation Automatique
+Comment[he]=סנכרון אוטומטי
+Comment[hi]=स्वचालित सिंक्रनाइज़ेशन
+Comment[hr]=Automatska Sinkronizacija
+Comment[hu]=Automatizált szinkronizálás
+Comment[it]=Sincronizzazione automatizzata
+Comment[ja]=自動同期
+Comment[ko]=자동 동기화
+Comment[lt]=Automatinis Suvienodinimas
+Comment[nl]=Automatische synchronisatie
+Comment[no]=Automatisk synkronisering
+Comment[pl]=Automatyczna synchronizacja
+Comment[pt]=Sincronização Automática
+Comment[pt_BR]=Sincronização Automatizada
+Comment[ro]=Sincronizare Automată
+Comment[ru]=Автоматическая синхронизация
+Comment[sk]=Automatická synchronizácia
+Comment[sl]=Samodejna sinhronizacija
+Comment[sv]=Automatiserad synkronisering
+Comment[tr]=Otomatik eşitleme
+Comment[uk]=Автоматична Синхронізація
+Comment[vi]=Đồng bộ tự động
+Comment[zh]=自动同步
+Comment[zh_TW]=自動化同步
diff --git a/system/FreeFileSync/doinst.sh b/system/FreeFileSync/doinst.sh
new file mode 100644
index 0000000000..9b51b160f6
--- /dev/null
+++ b/system/FreeFileSync/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
diff --git a/system/FreeFileSync/slack-desc b/system/FreeFileSync/slack-desc
new file mode 100644
index 0000000000..9220afead0
--- /dev/null
+++ b/system/FreeFileSync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+FreeFileSync: FreeFileSync (Cross-platform file sync utility with GUI)
+FreeFileSync:
+FreeFileSync: FreeFileSync is a folder comparison and synchronization software
+FreeFileSync: that creates and manages backup copies of all your important files.
+FreeFileSync: Instead of copying every file every time, FreeFileSync determines
+FreeFileSync: the differences between a source and a target folder and transfers
+FreeFileSync: only the minimum amount of data needed. FreeFileSync is Open
+FreeFileSync: Source software, available for Windows, Linux and macOS.
+FreeFileSync:
+FreeFileSync:
+FreeFileSync: